<template>
<div>
            <div class="row inbox-wrapper">
                        <!-- left wrapper start -->
                        <!-- left wrapper end -->
                        <!-- middle wrapper start -->
                        <div class="col-md-12 col-xl-12 middle-wrapper">
                            <div class="row">
                                <div class="col-md-12 grid-margin">
                                    <div class="card rounded">
                                        <div class="card-header">
                                            <div class="d-flex align-items-center justify-content-between">
                                                <div class="d-flex align-items-center">                
                                                    <div class="ml-2">
                                                        <p>Manajemen Inovasi</p>
                                                        <p class="tx-11 text-muted">Daftar Inovasi</p>
                                                    </div>
                                                </div>
                                             <!--    <div class="dropdown">
                                                  <button type="button" class="btn btn-success" @click="add()">
                                                  Add
                                                </button>
                                                </div> -->
                                                
                                            </div>
                                        </div>
                                        <div class="card-body">
                                <div class="row align-items-center">
                                  <div class="col-md-6 grid-margin">
                                    <div class="form-inline">
                                      <label class="mr-2">Pencarian</label>
                                      <input
                                        type="text"
                                        placeholder="Ketikan pencarian disini"
                                        class="form-control"
                                        v-model="filter"
                                      />
                                    </div>
                                  </div>
                                  <div class="col-md-6 grid-margin">
                                    <div class="form-inline float-right">
                                      <label class="mr-2">Lihat</label>
                                      <select class="form-control" v-model="per_page">
                                        <option value="10">10</option>
                                        <option value="25">25</option>
                                        <option value="50">50</option>
                                        <option value="100">100</option>
                                      </select>
                                      <label class="ml-2">Entri</label>
                                    </div>
                                  </div>
                                </div>
                                <div class="row">                          
                                    <div class="table-responsive col-md-12">
                                        <b-table
                                          id="data-table"
                                          responsive
                                          hover
                                          :filter="filter"
                                          :items="dataList"
                                          :fields="fields"
                                          :per-page="per_page"
                                          :current-page="current_page"
                                          :sort-by="sortBy"
                                          :sort-desc="sortDesc"
                                          @filtered="onFiltered"
                                          show-empty
                                          :busy="isBusy"
                                        >
                                            <template v-slot:table-busy>
                                                <div class="text-center text-danger my-2">
                                                  <b-spinner class="align-middle"></b-spinner>
                                                  <strong>Loading...</strong>
                                                </div>
                                            </template>
                                            
                                             <template v-slot:cell(index)="row">
                                                 {{(row.index+1)+(per_page*(current_page-1))}}   
                                            </template>
                                            <!-- <template v-slot:cell(status)="row">
                                                 {{row.item.status}}   
                                            </template> -->
                                           <!--  <template v-slot:cell(status)="row">
                                                 <span v-if="row.item.status===0|| row.item.status===''">Off</span>
                                                 <span v-if="row.item.status===1">On</span>
                                            </template> -->
                                            
                                            <!-- <template v-slot:cell(owner)="row">
                                                 {{row.item}}   
                                            </template> -->
                                            <template v-slot:cell(actions)="row">
                       
                                                 <button type="button" class="btn btn-primary" @click="edit(row.item)">View</button>
                                                <!-- <button type="button" class="btn btn-danger" @click="deleteData(row.item)">Delete</button> -->
                                            </template>
                                        </b-table>
                                    </div>   
                                    <div class="col-md-12">
                                        <b-pagination
                                          v-model="current_page"
                                          :total-rows="total_rows"
                                          :per-page="per_page"
                                          align="right"
                                          aria-controls="data-table"
                                        ></b-pagination>
                                    </div>
                                </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- middle wrapper end -->
                        <!-- right wrapper start -->
                        <!-- right wrapper end -->
                    </div>
   
</div>
</template>

<script>

export default {
    components: {  },
    props:['datakrs'],
    data() {
         return {
            url:'inovasi',
            name:'table',
            emptyResult: false,
            dataList: [],
            totalSKS:0,
            current_page: 1,
            per_page: 10,
            filter: null,
            sortDesc: false,
            sortBy: "index",
            fields: [
                { key: "index", sortable: false, label: "#" },
                { key: "innovator.nama", sortable: false, label: "Innovator" },
                { key: "nama_singkat", sortable: false, label: "Innovasi" },
                { key: "innovator.jenis_innovators.name", sortable: false, label: "Instansi" },
                { key: "actions", label: "Action" },
            ],
            total_rows: 0,
            dataBentrok : {},
            isBusy:true,
            json_fields: {
                
            },
            
         }

    },
    created(){
        this.initial()
    },
    methods:{  
        initial(){
            this.getData()
        },
        async getData() {
            let self = this
            let ulrlist = `${this.url}/list`
            this.dataList = await axios.get(ulrlist).then((response)=> {
                this.isBusy = false    
                return response.data
            })
            this.total_rows =  this.dataList.length
        },

        onFiltered(filteredItems) {
          // Trigger pagination to update the number of buttons/pages due to filtering
          this.total_rows = filteredItems.length;
          this.current_page = 1;
        },
        add(){
           this.toParent('add',this.dataList)
        },
        edit(data){
           this.toParent('edit',data)
        },
        deleteData(idx,data){
            // console.log(this.$swal)
            this.$swal({
                title: "Delete this order status?",
                text: "Are you sure? You won't be able to revert this!",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                confirmButtonText: "Yes, Delete it!"
            }).then((result) => { 
                if (result.value) { 
                    this.dataList.splice(idx, 1)
                    this.axiosDelete(data.id)
                }
            });
        },
        axiosDelete(id){
            let self = this
            let ulrlist = `${this.url}/delete/${id}`
            axios.post(ulrlist).then(function(response) {
                self.data = response.data
            })
            .catch(function(error) {
                // console.error(error);
            });
        },
        toParent(action,data){
            let dataEmit = {
                action : action,
                data : data,
                back : this.name,
            }
            this.$emit('data-table', dataEmit)
        },   
    }
}
</script>
<style>
</style
